:root {
  --dark: navy;
  --light: rgb(228, 243, 253);
  --medium: rgb(55, 141, 211);
  --font: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande", "Lucida Sans",
    Arial, sans-serif;
}

body {
  background-color: var(--light);
}

header {
  border: 10px solid var(--dark);
  border-radius: 25px;
  padding: 20px;
  background-color: whitesmoke;
  margin: 30px;
  height: 230px;
  width: 1376px;
  box-shadow: 7px 7px 4px var(--medium);
}

header h1 {
  display: inline-block;
  font-family: var(--font);
  font-size: 45px;
  color: var(--dark);
}

header h1 .Portfolio {
  color: var(--medium);
}

header ul {
  margin-top: auto;
  margin-bottom: auto;
  margin-right: 20px;
  float: right;
  font-family: var(--font);
  font-size: 35px;
  list-style-type: none;
}

header ul li {
  display: inline;
  text-align: right;
}

a {
  color: var(--medium);
  text-decoration: none;
  margin: 10px;
  margin-bottom: auto;
  margin-top: auto;
}

a:hover {
  text-shadow: 2px 2px 3px var(--dark);
}

.avatar {
  display: block;
  margin-right: auto;
  margin-left: auto;
  margin-top: 20px;
  padding: 5px;
  height: 300px;
  width: 380px;
  border: 10px solid var(--dark);
  border-radius: 25px;
  box-shadow: 7px 7px 4px var(--medium);
}

.boxes {
  display: block;
  position: relative;
  width: 1376px;
  margin: 20px;
  padding: 20px;
  border: 10px solid var(--dark);
  border-radius: 25px;
  box-shadow: 7px 7px 4px var(--medium);
  clear: both;
  float: left;
  height: 100%;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
  background-color: whitesmoke;
}

main div {
  font-size: 25px;
}

main div h2 {
  font-size: 40px;
  color: var(--medium);
}

#My-Work {
  display: table;
}

.link-photos:hover {
  box-shadow: 0 2px 15px var(--dark);
  background-color: #008cba, 1;
}

.link-photos {
  height: 300px;
  width: 400px;
  flex: 1;
  border: 5px solid var(--medium);
  border-radius: 25px;
  padding: 5px;
  transition: 0.5s ease;
  margin-bottom: 15px;
  background-color: #008cba, 0.1;
}

.overlay {
  position: absolute;
  bottom: 0;
  background: rgb(0, 0, 0);
  background: rgba(0, 0, 0, 0.5); /* Black see-through */
  color: #f1f1f1;
  width: 100%;
  transition: 0.5s ease;
  opacity: 0;
  color: white;
  font-size: 20px;
  padding: 20px;
  text-align: center;
}

/* When you mouse over the container, fade in the overlay title */
.link-photos:hover .overlay {
  opacity: 1;
}

main div ul {
  margin-top: auto;
  margin-bottom: auto;
  margin-right: 20px;
  float: right;
  font-family: var(--font);
  font-size: 35px;
  list-style-type: none;
}

main div ul li {
  display: inline;
  text-align: right;
}

@media screen and (max-width: 992px) {
  .boxes,
  .firstApp,
  .secondApp,
  .thirdApp,
  .avatar {
    width: 75%;
    height: 75%;
  }
  header {
    width: 75%;
  }
  header h1 {
    font-size: 40px;
  }
  main div ul,
  header ul {
    font-size: 30px;
  }
  main div {
    font-size: 20px;
  }
  main div h2 {
    font-size: 35px;
  }
}

@media screen and (max-width: 768px) {
  .boxes,
  .firstApp,
  .secondApp,
  .thirdApp,
  .avatar {
    width: 50%;
    height: 50%;
  }
  header {
    width: 50%;
  }
  header h1 {
    font-size: 35px;
  }
  main div ul,
  header ul {
    font-size: 25px;
  }
  main div {
    font-size: 15px;
  }
  main div h2 {
    font-size: 30px;
  }
}
